diff test/test-profia @ 0:39ccace77270 draft

planemo upload for repository https://github.com/workflow4metabolomics/profia.git commit 2757590af8c7ba9833ba3bebd7da7f96b20d1128-dirty
author ethevenot
date Sun, 26 Mar 2017 17:37:12 -0400
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test/test-profia	Sun Mar 26 17:37:12 2017 -0400
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# Constants {{{1
+################################################################
+
+PROG_PATH=$(dirname $0)
+
+# MAIN {{{1
+################################################################
+
+$PROG_PATH/../profia_wrapper.R zipfile $PROG_PATH/../test-data/input-plasFIA.zip ppmN 2 ppmGroupN 1 fracGroupN 0.1 kI 2 dataMatrix_out $PROG_PATH/output-dataMatrix.tsv
+
+if ! diff "$PROG_PATH/output-dataMatrix.tsv" "$PROG_PATH/../test-data/output-dataMatrix.tsv" ; then
+	echo "Incorrect output data matrix." >&2
+	exit 1
+fi